class TitlePage < UICollectionViewCell

  attr_accessor :titleLabel

  def initWithFrame frame
    super

    @titleLabel = UILabel.alloc.initWithFrame(CGRectZero).tap do |l|
      l.backgroundColor = UIColor.clearColor
      l.textAlignment = NSTextAlignmentCenter
    end
    contentView.addSubview @titleLabel

    self
  end

  def layoutSubviews
    super
    @titleLabel.frame = [[0, 0], [frame.size.width, frame.size.height]]
  end

end